Package org.eclipse.birt.core.archive

# Class RAStreamBufferMgr

java.lang.Object
org.eclipse.birt.core.archive.RAStreamBufferMgr

public class RAStreamBufferMgr extends Object

## Constructor Summary

Constructors
Constructor
Description
`RAStreamBufferMgr(RandomAccessFile randomFile)`

## Method Summary

Modifier and Type
Method
Description
`void`
`flushBuffer()`
`long`
`getFilePointer()`
`long`
`length()`
`void`
`seek(long localPos)`
`void`
`write(byte[] b, int off, int len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RAStreamBufferMgr

public RAStreamBufferMgr(RandomAccessFile randomFile) throws IOException

Throws:
  `IOException`

## Method Details

### getFilePointer

public long getFilePointer()

### write

public void write(byte[] b, int off, int len) throws IOException

Throws:
  `IOException`

### seek

public void seek(long localPos) throws IOException

Throws:
  `IOException`

### length

public long length()

### flushBuffer

public void flushBuffer() throws IOException

Throws:
  `IOException`